curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/unread-count" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.get_unread_count(
request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest
async def get_unread_count():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.get_unread_count_async(
request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
)
print(response)
asyncio.run(get_unread_count())
{
"unread_count": 5
}
Notification
Get notifications unread count
Get count of unread notification events for the current user.
GET
/
api
/
v1
/
notifications
/
unread-count
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/unread-count" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.get_unread_count(
request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest
async def get_unread_count():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.get_unread_count_async(
request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
)
print(response)
asyncio.run(get_unread_count())
{
"unread_count": 5
}
Query parameters
Filter unread count to a specific workflow.
Response
Number of unread notification events.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/unread-count" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.get_unread_count(
request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest
async def get_unread_count():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.get_unread_count_async(
request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
)
print(response)
asyncio.run(get_unread_count())
{
"unread_count": 5
}
Was this page helpful?
⌘I

